# spamlists

Blacklists et whitelists automagiquement appliquées sur le serveur de courriels du **Tetal@b** aka `billy`.

## Comment ça marche©

### Liste noire

Les adresses de courriel listées dans le fichier `blacklist.txt` sont automatiquement enregistrées comme des adresses de courriel interdites sur le serveur de courriels du **Tetal@b**.

Le bannissement est effectuée au niveau du serveur de courriels (_Postfix_)

**Attention**: Les modifications poussées sur ce dépôt provoquent le redémarrage du serveur de courriels du **Tetal@b**.

### Liste blanche

Les adresses de courriel listées dans le fichier `whitelist.txt` sont automatiquement enregistrées comme des adresses de courriel autorisées sur le serveur de courriels du **Tetal@b**.

Le bannissement est effectué au niveau du serveur de courriels (_Postfix_)

### Format des listes

Chacune des deux listes (`blacklist.txt` et `whitelist.txt`) doit comporter une seule adresse de courriel par ligne.

Il est possible d'exclure des domaines complets, des sous-domaines ou des adresses de courriels spécifiques ou des utilisateurs indépendamment de leur domaine:

Exemples:

```
# Blacklister le domaine example.com, y compris les sous-domaines
example.com
# Blacklister uniquement user@example.com
user@example.com
# Blacklister tous les sous-domaines d'example.com (mais pas example.com)
.example.com
# Blacklister toutes les adresses de courriels contenant "user@"
user@
```

Sauf que le kickban de `.click` bah, ça ne marche pas...



